# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-09-24 15:18
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0066_auto_20210916_0843'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='historicalagent',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalavailability',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcalendariocortes',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcall',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcallqa',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcartola',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcartolamovement',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcharge',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalchargeapplied',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcompany',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcontact',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcountry',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcredit',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcreditapplied',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcurrency',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalcustomer',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicaldowntime',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalemployee',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalindicators',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalinvoice',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalinvoiceitem',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalmainreason',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalpayment',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalpayorrut',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalplan',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalplanorder',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalpromotions',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalprospect',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalqachannel',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalqaindicator',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalqamonitoring',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalqatracing',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalseller',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalservice',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalskill',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicaltechnician',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalupdateinfotemp',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalusercompany',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicaluseroperator',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AlterModelOptions(
            name='historicalvacation',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': ''},
        ),
        migrations.AddField(
            model_name='generalexpense',
            name='bank_account',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.BankAccount', verbose_name='bank account'),
        ),
        migrations.AddField(
            model_name='historicalgeneralexpense',
            name='bank_account',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.BankAccount'),
        ),
    ]
